Creating an Export Request
To initiate an export request, you'll need to include the following required parameters in the request body:
- startDate: The startDate timestamp, should be in ISO8601 format. When provided, this filter returns records that were created or modified on or after the
startDate. - endDate: The endDate timestamp, should be in ISO8601 format. When provided, this filter returns records that were created or modified on or before the
endDate. - exportType: One of the following:
"ELEARNING_ENROLLMENTS","LEARNING_ACTIVITIES","NETWORKS","USERS", or"LEARNING_ACTIVITY_INTERACTIONS". Note thatLEARNING_ACTIVITY_INTERACTIONSonly supports JSONL format and requireslearningActivityId. - format: Either
"CSV"or"JSONL". Note:LEARNING_ACTIVITY_INTERACTIONSonly supports JSONL.
These fields are mandatory. Additionally, the following field is conditionally required:
- learningActivityId (number): The learning activity ID to export interactions. Required when
exportTypeis"LEARNING_ACTIVITY_INTERACTIONS".
You can find more details in the schema view below or in the full documentation under API reference.
Request Body Example and Schema
- Example
{
"startDate": "2012-09-05T11:12:47.000Z",
"endDate": "2015-05-28T17:39:23.000Z",
"exportType": "ELEARNING_ENROLLMENTS",
"format": "CSV"
}
Example with LEARNING_ACTIVITY_INTERACTIONS:
{
"startDate": "2012-09-05T11:12:47.000Z",
"endDate": "2015-05-28T17:39:23.000Z",
"exportType": "LEARNING_ACTIVITY_INTERACTIONS",
"format": "JSONL",
"learningActivityId": 12345
}
Response
Upon successful submission, the response will include a jobId (a Base64-encoded string), which you can use to get the status of your export data job.
Response Example
- Example
{
"job": {
"id": "WyJkYXRhLWV4cG9ydHx0ZW5hbnRLZXk6ZHJlYW1idWlsZGVyfHR5cGU6bGVhcm5pbmdfYWN0aXZpdGllc3xmb3JtYXQ6anNvbmx8c3RhcnQ6MjAxMi0wOS0wNVQxMToxMjo0Ny4wMDBafGVuZDoyMDE1LTA1LTI4VDE3OjM5OjIzLjAwMFoiLCJiYjNiNzIyOS0xYTJhLTQzYzgtYmM4Mi01MTc4MjIzMGI4NDYiXQ=="
}
}
This guide demonstrates how to create an export data job and retrieve the export data job identifier for getting its status in the separate GET /exports api. For more advanced usage, refer to the complete API documentation in the sidebar.